Loading...
Searching...
No Matches
D3D12_HEAP_PROPERTIES Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

D3D12_HEAP_TYPE | Type
D3D12_CPU_PAGE_PROPERTY | CPUPageProperty
D3D12_MEMORY_POOL | MemoryPoolPreference
UINT | CreationNodeMask
UINT | VisibleNodeMask

## Detailed Description

Definition at line 2181 of file mini_d3d12.h.

## Member Data Documentation

## Type

D3D12_HEAP_TYPE D3D12_HEAP_PROPERTIES::Type

Definition at line 2182 of file mini_d3d12.h.

## CPUPageProperty

D3D12_CPU_PAGE_PROPERTY D3D12_HEAP_PROPERTIES::CPUPageProperty

Definition at line 2183 of file mini_d3d12.h.

## MemoryPoolPreference

D3D12_MEMORY_POOL D3D12_HEAP_PROPERTIES::MemoryPoolPreference

Definition at line 2184 of file mini_d3d12.h.

## CreationNodeMask

UINT D3D12_HEAP_PROPERTIES::CreationNodeMask

Definition at line 2185 of file mini_d3d12.h.

## VisibleNodeMask

UINT D3D12_HEAP_PROPERTIES::VisibleNodeMask

Definition at line 2186 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h